[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH] build: fix configure detection of if_bridge.h on RHEL 6



On 08/07/2013 05:01 AM, Daniel P. Berrange wrote:
> On Tue, Aug 06, 2013 at 02:41:55PM -0600, Eric Blake wrote:
>> A fresh checkout on a RHEL 6 machine with these packages:
>> kernel-headers-2.6.32-405.el6.x86_64
>> glibc-2.12-1.128.el6.x86_64
>> failed to configure with this message:
>> checking for linux/if_bridge.h... no
>> configure: error: You must install kernel-headers in order to compile libvirt with QEMU or LXC support
>>

>> I had not hit it earlier because I was using incremental builds,
>> where config.cache had shielded me from the kernel-headers breakage.
>>
>> * configure.ac (if_bridge.h): Avoid conflicting type definitions.
>>
>> Signed-off-by: Eric Blake <eblake redhat com>
>> ---
>>
>> Pushing under the build-breaker rule, and backporting to v1.1.1-maint
> 
> This change breaks configure on any Fedora install I have, so I've
> had to revert it in master, since broken Fedora is more of a show
> stopper than broken RHEL6.

Arrgh - this time, the incremental build on Fedora bit me.  I hate that
the use of <linux/if_bridge.h> is broken depending on platform, with
opposite conditions on whether you include or avoid <netinet/in.h>; the
kernel folks really botched this one. :(  I'll come up with a v2.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org

Attachment: signature.asc
Description: OpenPGP digital signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]